Show / Hide Table of Contents

# Struct Buddy.BuddyMember

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.Game.UI

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct BuddyMember

### Fields

| Improve this Doc View Source

#### CurrentHealth

##### Declaration

    public uint CurrentHealth

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### DataID

##### Declaration

    public byte DataID

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### MaxHealth

##### Declaration

    public uint MaxHealth

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### ObjectID

##### Declaration

    public uint ObjectID

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### StatusManager

##### Declaration

    public StatusManager StatusManager

##### Field Value

Type | Description
--- | ---
StatusManager |

| Improve this Doc View Source

#### Synced

##### Declaration

    public byte Synced

##### Field Value

Type | Description
--- | ---
System.Byte |